IP V6

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

IP V6

Adam Fullerton
Hi,

We are using lwIP V1.3.2 and require IPV6 support. Does lwIP V1.4
support IPV6 or is there a patch for V1.3.2 for IPV6?

Best regards,

Adam Fullerton.

_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

Re: IP V6

Ivan Delamer-2
Hi Adam,

The recommended source for IPv6 support is to get the latest GIT HEAD.

The first patch was released for 1.4, but there have been numerous
improvements and bug fixes since.

I am running my product off the latest version of GIT with IPv6 support
and it is very stable for me.

Cheers
Ivan


> Date: Wed, 01 Aug 2012 06:39:32 +0100
> From: Adam Fullerton <[hidden email]>
> To: [hidden email]
> Subject: [lwip-users] IP V6
> Message-ID: <[hidden email]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
> Hi,
>
> We are using lwIP V1.3.2 and require IPV6 support. Does lwIP V1.4
> support IPV6 or is there a patch for V1.3.2 for IPV6?
>
> Best regards,
>
> Adam Fullerton.



_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

Re: IP V6

Kieran Mansley
In reply to this post by Adam Fullerton
On Wed, 2012-08-01 at 06:39 +0100, Adam Fullerton wrote:
>
>
> We are using lwIP V1.3.2 and require IPV6 support. Does lwIP V1.4
> support IPV6 or is there a patch for V1.3.2 for IPV6?

No, neither support IPV6 in any meaningful sense.  This will be added in
lwIP 1.5, and is currently available in the default development branch
of the lwIP git repositories.

Kieran


_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users